;;; cl-scopes/test/test-storage

;;;; testing facility for scopes/storage

(defpackage :scopes/test-storage
  (:use :common-lisp)
  (:local-nicknames (:storage :scopes/storage)
					(:tracking :scopes/storage/tracking) 
					(:t :scopes/testing))
  (:export #:run #:try))

(in-package :scopes/test-storage)

(defparameter *db-params-postgres* nil)
(load "test/etc")
(defun try()
  (print storage:*db-params*)
  (print *db-params-postgres*))

(defun run ()
  (let ((st (make-instance 'storage:storage))
		(tst (t:test-suite)))
    (test-track tst st)
    (t:result tst)))

(defun test-track (tst st)
  (let ((tr (make-instance 'tracking:track)))
	(storage:drop-table st :tracks)
	(tracking:create-table st :tracks '(trackid username))
	;(setf (scs:data tr) nil)
	(t:assert-eq tst (tracking:data tr) nil)))
